# class TextTrack

#### package js.html

#### extends EventTarget

Available on HTML5

### Variables

###

`read onlyactiveCues:TextTrackCueList`

###

`read onlycues:TextTrackCueList`

###

`read onlyid:String`

###

`read onlyinBandMetadataTrackDispatchType:String`

###

`read onlykind:TextTrackKind`

###

`read onlylabel:String`

###

`read onlylanguage:String`

###

`mode:TextTrackMode`

###

`oncuechange:Function`

### Methods

###

`addCue (cue:VTTCue):Void`

###

`removeCue (cue:VTTCue):Void`

Throws:

`null` | DOMError

### Inherited Variables

### Inherited Methods

#### Defined by EventTarget

###

`addEventListener (type:String, listener:Function, capture:Bool = false):Void`

`addEventListener (type:String, listener:EventListener, capture:Bool = false, ?wantsUntrusted:Bool):Void`

Throws:

`null` | DOMError

###

`dispatchEvent (event:Event):Bool`

Throws:

`null` | DOMError

###

`removeEventListener (type:String, listener:Function, capture:Bool = false):Void`

`removeEventListener (type:String, listener:EventListener, capture:Bool = false):Void`

Throws:

`null` | DOMError